Page MenuHomePhabricator

Inconsistent success using PerformanceInspector
Closed, DeclinedPublic

Description

I'm testing out the tool on Beta Cluster and getting very inconsistent success.

Test-setup: I've tried blanking my user.js and user.css files, and reset my preferences, and am testing in both firefox58 and chromium64 (linux) with primary account (quiddity) and a fresh test account (asdfghjk).

With a brand new test account, in private window (chromium), these are the results on a few random pages on various sites:

Let me know how I can help further diagnose - e.g. screenshots of browser inspector tabs, with certain lines copied to a paste? (probably one of the last three lines, but which type of copy? the "Copy all as HAR" is huge!)

Event Timeline

Quiddity created this task.Feb 7 2018, 3:12 AM
Restricted Application added a project: Performance-Team. · View Herald TranscriptFeb 7 2018, 3:12 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Quiddity updated the task description. (Show Details)Feb 7 2018, 3:12 AM
Peter added a subscriber: Peter.Feb 7 2018, 11:42 AM

@Quiddity the idea is that it should work on article pages where you as a user actually can do something to change the performance but the UX now is confusing - I totally understands that since you can try to invoke the inspector on other pages too, where it actually will not work.

I think what's wrong/missing is that response back to you as a user when it fails, or how do you see it?

Basically, yes. :)
Should we/I file a different task for implementing that?

It is reacting very differently today - All normal pages are working successfully either the first or second click (e.g. https://meta.wikimedia.beta.wmflabs.org/wiki/Arbitrary_kitten took 2 clicks). I haven't changed anything (nor restarted my browers) since my extensive (~50 pages) testing last night, so I'm confused by that. I'll try testing some pages in another 12 hours or so, to see if the problems re-appear. If they don't re-appear, then I'll declare this a heisenbug and close it.
(To be clear: My testing method is to click "random [page/entry/etc]", then wait a couple seconds after it has stopped loading, then click the link to invoke the PerformanceInspector. -- Last night I was consistently getting no response from various pages in the mainspace at most wikis, even if I clicked 3-4 times.)

Peter added a comment.Feb 8 2018, 10:08 AM

Let me add task for that later today, and then we discuss it there how we should implement it.

took 2 clicks

I think maybe the GUI could be better so you actually see that something is happening when you click the link, sometimes it can take time before something happens? Could be that or a bug.

@Peter At least one thing to address is that we currently have a logic mismatch between adding a link to the sidebar (onBaseTemplateToolbox) and loading the modules which add the click handler (onBeforePageDisplay). In one we only check the user preference, in the other we also check the page title namespace. We should use the same logic in both.

Change 414984 had a related patch set uploaded (by Phedenskog; owner: Phedenskog):
[mediawiki/extensions/PerformanceInspector@master] Verify page title namespace before link is added in the sidebar

https://gerrit.wikimedia.org/r/414984

Elitre added a subscriber: Elitre.Feb 28 2018, 10:48 AM

"Only works in main namespace" sounds like something worth specifying in the Prefs tab.

Change 414984 merged by jenkins-bot:
[mediawiki/extensions/PerformanceInspector@master] Verify page title namespace before link is added in the sidebar

https://gerrit.wikimedia.org/r/414984

I'm going to rewrite the task description to leave only the issues where it didn't work where it's supposed to.

Gilles updated the task description. (Show Details)Apr 26 2018, 10:28 AM
Krinkle triaged this task as Normal priority.EditedJun 15 2018, 4:00 PM

There should no longer be cases where the button appears without working. Does that mean this task is resolved? Or should this task also be about making the tool available to more contexts?

Imarlier closed this task as Declined.Jun 21 2018, 10:56 AM
Imarlier added a subscriber: Imarlier.

We are changing the way that we're implementing Performance Inspector, which makes this moot.